%define anolis_release 2
Name:       whois       
Version:    5.5.12
Release:    %{anolis_release}%{?dist}
Summary:    Improved WHOIS client
License:    GPLv2+
URL:        http://www.linux.it/~md/software/
Source0:    https://github.com/rfc1036/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  pkgconfig(libidn2) >= 2.0.3
BuildRequires:  pkgconfig(libxcrypt) >= 4.1
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl(autodie)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives
Requires:   whois-nls = %{version}-%{release}

%global genname whois
%global alternative md
%global cfgfile %{name}.conf

%description
Searches for an object in a RFC 3912 database.

This version of the WHOIS client tries to guess the right server to ask for
the specified object. If no guess can be made it will connect to
whois.networksolutions.com for NIC handles or whois.arin.net for IPv4
addresses and network names.

%package -n mkpasswd
Summary:    Encrypt a password with crypt(3) function using a salt
Conflicts:  expect < 5.45.4
Requires:   whois-nls = %{version}-%{release}
Obsoletes:  whois-mkpasswd <= 5.4.0
Obsoletes:  whois-mkpasswd <= 5.5.3
Provides:   whois-mkpasswd = %{version}-%{release}

%description -n mkpasswd
mkpasswd tool encrypts a given password with the crypt(3) libc function
using a given salt.

# The same gettext catalogs are used by whois tool and mkpasswd tool. But we
# want to have the tools installable independently.
%package nls
Summary:    Gettext catalogs for whois tools
Conflicts:  whois < 5.3.2-2
BuildArch:  noarch

%description nls
whois tools messages translated into different natural languages.

%prep
%autosetup -p1

%build
%{make_build} CONFIG_FILE="%{_sysconfdir}/%{cfgfile}" \
    HAVE_ICONV=1 \
    CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%{__global_ldflags}" INSTALL="install -p"

%install
make install-mkpasswd install-pos BASEDIR=$RPM_BUILD_ROOT
make install-whois install-pos BASEDIR=$RPM_BUILD_ROOT
install -p -m644 -D %{cfgfile} $RPM_BUILD_ROOT%{_sysconfdir}/%{cfgfile}
%find_lang %{name}

# Rename to alternative names
mv $RPM_BUILD_ROOT%{_bindir}/%{name}{,.%{alternative}}
touch $RPM_BUILD_ROOT%{_bindir}/%{name}
chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{name}
mv $RPM_BUILD_ROOT%{_mandir}/man1/%{name}{,.%{alternative}}.1
touch $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%post
%{_sbindir}/update-alternatives \
    --install %{_bindir}/%{name} \
        %{genname} %{_bindir}/%{name}.%{alternative} 30 \
    --slave %{_mandir}/man1/%{name}.1.gz \
        %{genname}-man %{_mandir}/man1/%{name}.%{alternative}.1.gz 

%postun
if [ $1 -eq 0 ] ; then
    %{_sbindir}/update-alternatives --remove \
        %{genname} %{_bindir}/%{name}.%{alternative}
fi

%files
%license COPYING debian/copyright
%doc README debian/changelog
%config(noreplace) %{_sysconfdir}/%{cfgfile}
%{_bindir}/%{name}.%{alternative}
%ghost %{_bindir}/%{name}
%{_mandir}/man1/%{name}.%{alternative}.*
%ghost %{_mandir}/man1/%{name}.1.gz
%{_mandir}/man5/%{cfgfile}.5.*

%files nls -f %{name}.lang

%files -n mkpasswd
%license COPYING debian/copyright
%doc README debian/changelog
%{_bindir}/mkpasswd
%{_mandir}/man1/mkpasswd.*

%changelog
* Tue Mar 22 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.5.12-2
- enable mkpassswd

* Tue Mar 22 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.5.12-1
- init from upstream 5.5.12
